AtomicLong Class Reference

## Instance Methods

(instancetype) | - initWithValue:
(long) | - incrementAndGet
(long) | - getAndIncrement

## Detailed Description

Represents an atomic long data type.

Definition at line 28 of file AtomicLong.h.

## Method Documentation

## getAndIncrement

- (long) getAndIncrement |  |  |

Definition at line 1 of file AtomicLong.m.

## incrementAndGet

- (long) incrementAndGet |  |  |

Definition at line 1 of file AtomicLong.m.

## initWithValue:

- (instancetype) initWithValue: |  | (long) | value |

Initial value:
{
atomic_int _value

Definition at line 1 of file AtomicLong.m.

The documentation for this class was generated from the following files:

- AtomicLong.h
- AtomicLong.m